Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.1.0.Beta1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.core.impl.constructionheuristic.scope
Class ConstructionHeuristicSolverPhaseScope

    java.lang.Object
      org.optaplanner.core.impl.phase.scope.AbstractSolverPhaseScope
          org.optaplanner.core.impl.constructionheuristic.scope.ConstructionHeuristicSolverPhaseScope

    public class ConstructionHeuristicSolverPhaseScope

extends AbstractSolverPhaseScope

Field Summary

Fields inherited from class org.optaplanner.core.impl.phase.scope.AbstractSolverPhaseScope
`bestSolutionStepIndex, logger, solverScope, startingScore, startingSystemTimeMillis`

Constructor Summary
`ConstructionHeuristicSolverPhaseScope(DefaultSolverScope solverScope)`

Method Summary
`ConstructionHeuristicStepScope` | `getLastCompletedStepScope()`
`void` | `setLastCompletedStepScope(ConstructionHeuristicStepScope lastCompletedStepScope)`

Methods inherited from class org.optaplanner.core.impl.phase.scope.AbstractSolverPhaseScope
`assertExpectedUndoMoveScore, assertExpectedWorkingScore, assertWorkingScoreFromScratch, calculatePhaseTimeMillisSpent, calculateScore, calculateSolverTimeMillisSpent, getBestScore, getBestSolutionStepIndex, getNextStepIndex, getPhaseBestSolutionTimeMillis, getScoreDefinition, getScoreDirector, getSolutionDescriptor, getSolverScope, getStartingScore, getStartingSystemTimeMillis, getWorkingEntityCount, getWorkingEntityList, getWorkingRandom, getWorkingSolution, getWorkingValueCount, isBestSolutionInitialized, reset, setBestSolutionStepIndex, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ConstructionHeuristicSolverPhaseScope

    public ConstructionHeuristicSolverPhaseScope(DefaultSolverScope solverScope)

Method Detail

### getLastCompletedStepScope

    public ConstructionHeuristicStepScope getLastCompletedStepScope()

  Specified by:
    `getLastCompletedStepScope` in class `AbstractSolverPhaseScope`

### setLastCompletedStepScope

    public void setLastCompletedStepScope(ConstructionHeuristicStepScope lastCompletedStepScope)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.1.0.Beta1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2014 JBoss by Red Hat. All Rights Reserved.